Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.dipendentessr.vo.nuovodipendente
Class TitoloDiStudio

    java.lang.Object
      it.svimservice.nsisr.web.ws.dipendentessr.vo.nuovodipendente.TitoloDiStudio

    public class TitoloDiStudio

extends java.lang.Object

Titolo di studio posseduto dal dipendente SSR.

Field Summary
`private int` | `annoConseguimento` Anno di conseguimento del titolo di studio.
`private int` | `codTitolo` Codice del titolo di studio posseduto.
`private java.lang.String` | `dataConseguimento` Data di conseguimento del titolo di studio.

Constructor Summary
`TitoloDiStudio()`

Method Summary
`int` | `getAnnoConseguimento()`
`int` | `getCodTitolo()`
`java.lang.String` | `getDataConseguimento()`
`void` | `setAnnoConseguimento(int annoConseguimento)`
`void` | `setCodTitolo(int codTitolo)`
`void` | `setDataConseguimento(java.lang.String dataConseguimento)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### codTitolo

    @Facets(totalDigits=3L,
            pattern="(1|2|3|4|6)?")
    @MinOccurs(value=0L)
    private int codTitolo

  Codice del titolo di studio posseduto. Puņ assumere i seguenti valori:
  - 1: Fino alla scuola dell'obbligo (U)
  - 2: Licenza media superiore
  - 3: Laurea breve
  - 4: Laurea
  - 5: Specializzazione post laurea/dottorato di ricerca
  - 6: Altri titoli post laurea

### annoConseguimento

    @Facets(totalDigits=4L)
    @MinOccurs(value=0L)
    private int annoConseguimento

  Anno di conseguimento del titolo di studio.

### dataConseguimento

    @Facets(pattern="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?")
    @MinOccurs(value=0L)
    private java.lang.String dataConseguimento

  Data di conseguimento del titolo di studio.

Constructor Detail

### TitoloDiStudio

    public TitoloDiStudio()

Method Detail

### getCodTitolo

    public int getCodTitolo()

### setCodTitolo

    public void setCodTitolo(int codTitolo)

### getAnnoConseguimento

    public int getAnnoConseguimento()

### setAnnoConseguimento

    public void setAnnoConseguimento(int annoConseguimento)

### getDataConseguimento

    public java.lang.String getDataConseguimento()

### setDataConseguimento

    public void setDataConseguimento(java.lang.String dataConseguimento)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD